headless lms

Get an event, with what you can do with it

GET /api/member/events/{eventId}. Get an event, with what you can do with it. Headless LMS Events API reference.

GET
/api/member/events/{eventId}

With events:read on the event or the org: the event in any status. As an attendee, directly or through a bundle: the published or canceled event, with the recording after the end when replay is on. Otherwise a published public event without its location, files and recording. 404 for anything else.

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/events/string"
{  "orgId": "string",  "id": "string",  "type": "event",  "title": "string",  "description": "string",  "thumbnailAssetId": "string",  "status": "draft",  "startsAt": "2019-08-24T14:15:22Z",  "endsAt": "2019-08-24T14:15:22Z",  "timeZone": "string",  "recording": {    "url": "http://example.com",    "details": "string"  },  "thumbnailUrl": "string",  "location": {    "venue": {      "name": "string",      "address": {        "line1": "string",        "line2": "string",        "city": "string",        "region": "string",        "postalCode": "string",        "country": "string"      }    },    "online": {      "url": "http://example.com",      "details": "string"    }  },  "settings": {    "type": "public",    "capacity": 1,    "replay": true  },  "files": [    {      "orgId": "string",      "id": "string",      "eventId": "string",      "assetId": "string",      "seq": -9007199254740991,      "displayName": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "filename": "string",      "contentType": "string",      "size": 0,      "url": "string"    }  ],  "attendeeCount": 0,  "attendees": [    {      "orgUserId": "string",      "name": "string",      "avatarUrl": "string"    }  ],  "placesLeft": 0,  "viewer": {    "attending": true,    "canRegister": true,    "canOpen": true,    "canLeave": true,    "canManageAttendees": true,    "canAddAttendees": true,    "canEdit": true,    "canCancel": true,    "canDelete": true  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}